Delete a function

- « uopz_del_function

- uopz_extend »

- PHP Manual
- Uopz Functions
- Delete a function

# uopz_delete

(PECL uopz 1, PECL uopz 2)

uopz_delete — Delete a function

Warning

This function has been REMOVED in PECL uopz 5.0.0.

### Description

uopz_delete(string `$function`): void
uopz_delete(string `$class`, string `$function`): void

Deletes a function or method

### Parameters

`class`

`function`

### Return Values

### Examples

Example #1 uopz_delete() example

    <?phpuopz_delete("strlen");echo strlen("Hello World");?>

The above example will output something similar to:

    PHP Fatal error: Call to undefined function strlen() in /path/to/script.php on line 4

Example #2 uopz_delete() class example

    <?phpclass My {    public static function strlen($arg) {        return strlen($arg);    }}uopz_delete(My::class, "strlen");echo My::strlen("Hello World");?>

The above example will output something similar to:

    PHP Fatal error: Call to undefined method My::strlen() in /path/to/script.php on line 10